Hooks:PostHook( WeaponTweakData, "init", "Neopup2KModInit", function(self)

	self.inkunzi_crew = deep_clone(self.g3_crew)
	self.inkunzi_crew.categories = clone(self.inkunzi.categories)
	self.inkunzi_crew.sounds.prefix = "b682_npc"
	self.inkunzi_crew.muzzleflash = "effects/payday2/particles/weapons/50cal_auto"
	self.inkunzi_crew.shell_ejection = "effects/mods/particles/weapons/20mm/inkunzi_casing"
	self.inkunzi_crew.no_trail = true
	self.inkunzi_crew.FIRE_MODE = "single"

if not BeardLib.Utils:FindMod("RestorationMod") then
	self.inkunzi_crew.DAMAGE = 25
	self.inkunzi_crew.CLIP_AMMO_MAX = 4
	self.inkunzi_crew.NR_CLIPS_MAX = 6
	self.inkunzi_crew.auto.fire_rate = 1.375
end

if ( self.inkunzi ) then
	--barrel
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_b_std",
			base_a_obj = "a_b",
			position = Vector3(0, -4, 0.5),
			rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_b_long",
			base_a_obj = "a_b",
			position = Vector3(0, 0, 0.5),
			rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_b_short",
			base_a_obj = "a_b",
			position = Vector3(0, -18.5, 0.5),
			rotation = Rotation(0, 0, 0)
	})
	--body
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_fg",
			base_a_obj = "a_fg",
			part_attach_data = { {"wpn_fps_special_inkunzi_receiver"}, "g_bolt"	},
			position = Vector3(0, 0, 0),
			rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_m",
			base_a_obj = "a_m",
			part_attach_data = { {"wpn_fps_special_inkunzi_receiver"}, "g_bolt"	},
			position = Vector3(0, 0, -0.5),
			rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_m",
			base_a_obj = "a_m",
			part_attach_data = { {"wpn_fps_special_inkunzi_receiver"}, "g_bolt"	},
			position = Vector3(0, 0, -0.5),
			rotation = Rotation(0, 0, 0)
	})
	--Optic position
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_o",
			base_a_obj = "a_o",
			position = Vector3(0, -0.5, 5.87),
			rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_o_angle",
			base_a_obj = "a_o",
			position = Vector3(0, 0, 5.87),
			rotation = Rotation(0, 0, 0)
	})
	--Gadget Position
	self:SetupAttachmentPoint("inkunzi", {
			name = "a_fl",
			base_a_obj = "a_fl",
			position = Vector3(6.75, -41, 10),
			rotation = RotationCAP(0, 0, 180)
	})
end

end )